CacheXml70DUnitTestHelper.MyAsyncEventListener (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache30

## Class CacheXml70DUnitTestHelper.MyAsyncEventListener

- java.lang.Object
- - org.apache.geode.cache30.CacheXml70DUnitTestHelper.MyAsyncEventListener

- All Implemented Interfaces:
    AsyncEventListener, CacheCallback, Declarable
  Enclosing class:
    CacheXml70DUnitTestHelper

      public static class CacheXml70DUnitTestHelper.MyAsyncEventListener
      extends java.lang.Object
      implements AsyncEventListener, Declarable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyAsyncEventListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Called when the region containing this callback is closed or destroyed, when the cache is closed, or when a callback is removed from a region using an `AttributesMutator`.
    `void` | `init(java.util.Properties properties)` Initializes a user-defined object using the given properties.
    `boolean` | `processEvents(java.util.List<AsyncEvent> events)` Process the list of `AsyncEvent`s.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `initialize`

- - ### Constructor Detail

    - #### MyAsyncEventListener

          public MyAsyncEventListener()

  - ### Method Detail

    - #### processEvents

          public boolean processEvents(java.util.List<AsyncEvent> events)

      Description copied from interface: `AsyncEventListener`
      Process the list of `AsyncEvent`s. This method will asynchronously be called when events are queued to be processed. The size of the list will be up to batch size events where batch size is defined in the `AsyncEventQueueFactory`.
      Specified by:
        `processEvents` in interface `AsyncEventListener`
      Parameters:
        `events` - The list of `AsyncEvent` to process
      Returns:
        boolean True represents whether the events were successfully processed, false otherwise.

    - #### close

          public void close()

      Description copied from interface: `CacheCallback`
      Called when the region containing this callback is closed or destroyed, when the cache is closed, or when a callback is removed from a region using an `AttributesMutator`.

      Implementations should cleanup any external resources such as database connections. Any runtime exceptions this method throws will be logged.

      It is possible for this method to be called multiple times on a single callback instance, so implementations must be tolerant of this.

      Specified by:
        `close` in interface `CacheCallback`
      See Also:
        `RegionService.close()`, `Region.close()`, `Region.localDestroyRegion()`, `Region.destroyRegion()`, `AttributesMutator`

    - #### init

          public void init(java.util.Properties properties)

      Description copied from interface: `Declarable`
      Initializes a user-defined object using the given properties. Note that any uncaught exception thrown by this method will cause the `Cache` initialization to fail.
      Specified by:
        `init` in interface `Declarable`
      Parameters:
        `properties` - Contains the parameters declared in the declarative xml file.